from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XSprite(XInterface, Protocol):
    def clip(self, aClip: XPolyPolygon2D) -> None: ...
    def setPriority(self, nPriority: float) -> None: ...
    def show(self) -> None: ...
    def hide(self) -> None: ...
